"use strict";

exports.__esModule = true;
var currentId = 0;
var components = {};

var track = exports.track = function track(component) {
  var id = currentId;
  components[id] = component;
  currentId += 1;
  return id;
};

var get = exports.get = function get(id) {
  return components[id];
};

var forEach = exports.forEach = function forEach(cb) {
  Object.keys(components).forEach(function (i) {
    return cb(get(i));
  });
};